Hacking Question Can't play titles because they're unlinked

tusmavan

Member
OP
Newcomer
Joined
Aug 3, 2019
Messages
16
Trophies
0
Age
22
XP
62
Country
Netherlands
Hello im quite new to this forum so excuse me if i dont use it properly. But i have loaded a CFW on my switch yesterday and installed some titles through goldleaf. but now the switch asks me to link to a nintendo account.
I have tried to look for a solution but it looks like everyone has a highter firmware version than me.
Currently im using 4.1.0 and run hekate through fake news injector (my switch is IPATCHED and cant work with fusee-glee)
Does anyone know of a workaround to play these titles while have the same firmware and CFW as me?
 

Ericthegreat

Not New Member
Member
Joined
Nov 8, 2008
Messages
3,436
Trophies
2
Location
Vana'diel
XP
3,902
Country
United States
Yes there is a way, but it requires you to erase all your saves, so you must back them up first, I forget the name I'm sure someone will post it in a sec.
 

rrocha

Developer
Developer
Joined
Nov 21, 2016
Messages
137
Trophies
0
XP
1,608
Country
Portugal
Which game is it? Permanent solution is to link your account either officially or via Kefir Updater.
But there's a way to patch a game so it bypasses that.
 

tusmavan

Member
OP
Newcomer
Joined
Aug 3, 2019
Messages
16
Trophies
0
Age
22
XP
62
Country
Netherlands
i have installed 2 games (mario odesy and mario kart 8) and both of them required it to be linked
and im planning to install a few more so i think kefir updater would be my best option? ill look into it right now
 

rrocha

Developer
Developer
Joined
Nov 21, 2016
Messages
137
Trophies
0
XP
1,608
Country
Portugal
Every time you install a new update with embedded linked account flags, you'd need to re-patch the said update and re-install it. So if you want a hands-off approach, Kefir might be your best bet. I manually patch my games but I'm not a very avid gamer and I prefer to keep my console always offline.
 

tusmavan

Member
OP
Newcomer
Joined
Aug 3, 2019
Messages
16
Trophies
0
Age
22
XP
62
Country
Netherlands
I also prefer to keep my switch offline and i dont really care about multiplayer support (like adventure modes more)
but i just installed kefir updater and it changed my user profile for me to one with a linked account
buuuuttt... i still gives me the prompt to check for linked accounts when i try to launch the title. should i connect to the internet and let it check whether it is linked or am i doing something dumb
 

tusmavan

Member
OP
Newcomer
Joined
Aug 3, 2019
Messages
16
Trophies
0
Age
22
XP
62
Country
Netherlands
21640020
Every time you install a new update with embedded linked account flags, you'd need to re-patch the said update and re-install it. So if you want a hands-off approach, Kefir might be your best bet. I manually patch my games but I'm not a very avid gamer and I prefer to keep my console always offline.

ive been trying the kefir updater method with no avail. could u explain the path method to me?
 

rrocha

Developer
Developer
Joined
Nov 21, 2016
Messages
137
Trophies
0
XP
1,608
Country
Portugal
NSCBuilder has that option in the advanced settings. It unpack the NSP, patches and repackages it. You have to do it for every update that you plan on installing
 

proffk

Well-Known Member
Member
Joined
Aug 14, 2013
Messages
577
Trophies
0
XP
1,035
Country
United Kingdom
I think the base games should work on 4.1.0. I'm really unsure & its very strange why these games are asking for a linked account because I can use them without one on the latest FW & only a handful of games require a linked account. If you have an ipatched switch I believe you need to create emunand & update that to the latest FW. Usually updating to the latest FW can fix issues. If your installing the latest game updates then they may require a newer FW requirement. You could try a different dump of these games preferably scene releases.
 

tusmavan

Member
OP
Newcomer
Joined
Aug 3, 2019
Messages
16
Trophies
0
Age
22
XP
62
Country
Netherlands
so i just finished creating a eMMC to minimize any risks and i wanted to upgrade to the newest OFW so my problem would be fixed
should i just do this from the settings menu? (i have a iPATCHED switch and read that manually updating a patched switch could result into bricking your switch)
anyone?
 

proffk

Well-Known Member
Member
Joined
Aug 14, 2013
Messages
577
Trophies
0
XP
1,035
Country
United Kingdom
You can update via ChoiDujourNX be sure to uncheck the "enable AutoRCM" option or you end up bricked on an ipatched unit. Make sure your updating your Emunand & not your system nand. Use different themes for both to tell the difference.
 

masagrator

The patches guy
Member
Joined
Oct 14, 2018
Messages
5,469
Trophies
2
XP
9,949
Country
Poland
You can update via ChoiDujourNX be sure to uncheck the "enable AutoRCM" option or you end up bricked on an ipatched unit. Make sure your updating your Emunand & not your system nand. Use different themes for both to tell the difference.
Just he needs 1.0.2. Then he can't enable that option.
 
  • Like
Reactions: Lacius

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
18,100
Trophies
2
XP
18,256
Country
United States
so i just finished creating a eMMC to minimize any risks and i wanted to upgrade to the newest OFW so my problem would be fixed
should i just do this from the settings menu? (i have a iPATCHED switch and read that manually updating a patched switch could result into bricking your switch)
anyone?
  1. You cannot update your sysNAND on an ipatched system if you want hacks. You also can't connect your sysNAND to the internet, unless you're using PegaScape DNS or 90DNS. Otherwise, you will receive a browser supernag, and you won't be able to use hacks.
  2. If your emuNAND is meant to be used with hacks (i.e. It's dirty and kept offline), then you can update to 8.1.0 on your emuNAND using ChoiDujourNX. You need to make sure you're actually on your emuNAND when you run ChoiDujourNX. If you accidentally use ChoiDujourNX with your sysNAND to update to 8.1.0, you're screwed out of hacks, potentially forever.
  3. If your emuNAND is meant to be used for online play (i.e. It's clean), then you cannot use homebrew, and you can update to 8.1.0 on your emuNAND officially from the system settings. You need to make sure you're actually on your emuNAND when you run an update from the system settings. If you accidentally use the system settings with your sysNAND to update to 8.1.0, you're screwed out of hacks, potentially forever.
 
  • Like
Reactions: proffk

tusmavan

Member
OP
Newcomer
Joined
Aug 3, 2019
Messages
16
Trophies
0
Age
22
XP
62
Country
Netherlands
I think the base games should work on 4.1.0. I'm really unsure & its very strange why these games are asking for a linked account because I can use them without one on the latest FW & only a handful of games require a linked account. If you have an ipatched switch I believe you need to create emunand & update that to the latest FW. Usually updating to the latest FW can fix issues. If your installing the latest game updates then they may require a newer FW requirement. You could try a different dump of these games preferably scene releases.

i got FW 8.1.0 working on my EmuNAND and got a linked account from kefir updater but i still cant launch my titles because it wants to check ''whether this software can be played'' and it fails everytime, any ideas?
 

Lacius

Well-Known Member
Member
Joined
May 11, 2008
Messages
18,100
Trophies
2
XP
18,256
Country
United States
i got FW 8.1.0 working on my EmuNAND and got a linked account from kefir updater but i still cant launch my titles because it wants to check ''whether this software can be played'' and it fails everytime, any ideas?
Are you using signature patches? I recommend doing the following:
  1. Remove all CFW files/folders from your SD card (that would be folders like /sept/ and /atmosphere/)
  2. Download the latest Atmosphere from github (currently 0.9.2)
  3. Download the latest fusee-primary (next to Atmosphere)
  4. Download these signature patches
  5. Put Atmosphere and the signature patches onto your SD card
  6. Configure Atmosphere to boot emuNAND
  7. Put the SD back into the Switch
  8. Boot fusee-primary using PegaScape
  9. Launch Atmosphere using fusee-primary
 
Last edited by Lacius,

alkar

Well-Known Member
Member
Joined
Apr 30, 2013
Messages
338
Trophies
0
Age
93
XP
1,053
Country
United States
After doing what the guy said make sure you reinstall your games, pretty sure it didn’t install the TIK without using the patches.
 

tusmavan

Member
OP
Newcomer
Joined
Aug 3, 2019
Messages
16
Trophies
0
Age
22
XP
62
Country
Netherlands
Are you using signature patches? I recommend doing the following:
  1. Remove all CFW files/folders from your SD card (that would be folders like /sept/ and /atmosphere/)
  2. Download the latest Atmosphere from github (currently 0.9.2)
  3. Download the latest fusee-primary (next to Atmosphere)
  4. Download these signature patches
  5. Put Atmosphere and the signature patches onto your SD card
  6. Configure Atmosphere to boot emuNAND
  7. Put the SD back into the Switch
  8. Boot fusee-primary using PegaScape
  9. Launch Atmosphere using fusee-primary

IT FINALLY WORKED THANK YOU SO MUCH... i have been at it for hours and what finally did the trick were the signature patches(maybe also some of the other steps) but it finally worked!!

but now i can finally launch titles

should i close this thread now somehow?(first time)
 
  • Like
Reactions: Lacius

You may also like...

General chit-chat
Help Users
    Veho @ Veho: https://www.youtube.com/watch?v=1zsbXosf5FM